Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.encryption
Interface CipherReference

    public interface CipherReference

`CipherReference` identifies a source which, when processed, yields the encrypted octet sequence.

The actual value is obtained as follows. The `CipherReference URI` contains an identifier that is dereferenced. Should the Transforms, the data resulting from dereferencing the `URI` is transformed as specified so as to yield the intended cipher value. For example, if the value is base64 encoded within an XML document; the transforms could specify an XPath expression followed by a base64 decoding so as to extract the octets.

The syntax of the `URI` and Transforms is similar to that of [XML-DSIG]. However, there is a difference between signature and encryption processing. In [XML-DSIG] both generation and validation processing start with the same source data and perform that transform in the same order. In encryption, the decryptor has only the cipher data and the specified transforms are enumerated for the decryptor, in the order necessary to obtain the octets. Consequently, because it has different semantics Transforms is in the &xenc; namespace.

The schema definition is as follows:

     <element name='CipherReference' type='xenc:CipherReferenceType'/>
     <complexType name='CipherReferenceType'>
         <sequence>
             <element name='Transforms' type='xenc:TransformsType' minOccurs='0'/>
         </sequence>
         <attribute name='URI' type='anyURI' use='required'/>
     </complexType>

Author:
  Axl Mattheus

Method Summary
`Transforms` | `getTransforms()` Returns the `Transforms` that specifies how to transform the `URI` to yield the appropriate cipher value.
`java.lang.String` | `getURI()` Returns an `URI` that contains an identifier that should be dereferenced.
`org.w3c.dom.Attr` | `getURIAsAttr()` Gets the URI as an Attribute node.
`void` | `setTransforms(Transforms transforms)` Sets the `Transforms` that specifies how to transform the `URI` to yield the appropriate cipher value.

Method Detail

### getURI

    java.lang.String getURI()

  Returns an `URI` that contains an identifier that should be dereferenced.

  Returns:
    an `URI` that contains an identifier that should be dereferenced.

### getURIAsAttr

    org.w3c.dom.Attr getURIAsAttr()

  Gets the URI as an Attribute node. Used to meld the CipherReference with the XMLSignature ResourceResolvers

  Returns:
    the URI as an Attribute node

### getTransforms

    Transforms getTransforms()

  Returns the `Transforms` that specifies how to transform the `URI` to yield the appropriate cipher value.

  Returns:
    the transform that specifies how to transform the reference to yield the intended cipher value.

### setTransforms

    void setTransforms(Transforms transforms)

  Sets the `Transforms` that specifies how to transform the `URI` to yield the appropriate cipher value.

  Parameters:
    `transforms` - the set of `Transforms` that specifies how to transform the reference to yield the intended cipher value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD